commit:     bf7323b2222424d615014da70734c3e38b0c8e89
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Feb 13 22:51:17 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 22:51:17 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf7323b2

sci-physics/siscone: Bump to 3.0.5

Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-physics/siscone/Manifest             |  1 +
 sci-physics/siscone/siscone-3.0.5.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/sci-physics/siscone/Manifest b/sci-physics/siscone/Manifest
index 299805c4650..9b5face978c 100644
--- a/sci-physics/siscone/Manifest
+++ b/sci-physics/siscone/Manifest
@@ -1 +1,2 @@
 DIST siscone-3.0.3.tar.gz 540939 BLAKE2B 
dfb9c9fab91f4faf8d8aa8a44fca505a83cdd02d2a9b659bacf6487e505159ef61bf2ed8db08a304328effdd6aac8c4a593b630954898aceb985a3a270a5aeb6
 SHA512 
dccbb872c897b8c0c28dff593d7f015b396923a0bd885182930d74e5115b901875a89565244a33fad0329fdfb5a83d6cc570152d0085c45c24bc427de075e559
+DIST siscone-3.0.5.tar.gz 544738 BLAKE2B 
7136acfc46d9414831d4e07cc428ad3858c1da02bdcd66817eb6406b9ae1d9d582800412dfcfae5477a720b7893ba070c9ef84816a517992be1762d356840bf8
 SHA512 
fb9f5e6b6677968e77eb9476abe8345711c69213209c153932adacd69b3c1219abe79655238fec1c0ca4e8ca91795c7693c68e2a48ec41a6afff1f046a781a61

diff --git a/sci-physics/siscone/siscone-3.0.5.ebuild 
b/sci-physics/siscone/siscone-3.0.5.ebuild
new file mode 100644
index 00000000000..d66ff818074
--- /dev/null
+++ b/sci-physics/siscone/siscone-3.0.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Hadron Seedless Infrared-Safe Cone jet algorithm"
+HOMEPAGE="https://siscone.hepforge.org/";
+SRC_URI="https://siscone.hepforge.org/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+       if use examples; then
+               docinto examples
+               dodoc examples/*.{cpp,h}
+               docinto examples/events
+               dodoc examples/events/*.dat
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to